# Functional Connectivity Integrative Normative Modelling (FUNCOIN)

## Dependencies:
The funcoin module requires the following python modules:
* numpy
* scipy
* scikit-learn (some model evaluation metrics are only available in version 1.4 or higher, but capr can run with older versions)
* matplotlib (for the tutorial)
* notebook (for the tutorial)

## Installation
* Install the latest stable build by using the following command  
```
pip install fcin
```
* Install the lates development version by using the following command  
```
pip install git+https://github.com/kobbersmed/funcoin
```

## Links
* Source code repository: https://github.com/kobbersmed/funcoin

## References
* The python module is released with the following paper, which we ask you to cite: 
Kobbersmed, J.R.L., Gohil, C., Marquand, A.F. and Vidaurre, D., _Normative modelling of brain functional connectivity: a network approach_.
* Please also cite the original paper proposing the regression method: 
Zhao, Y. et al. (2021). "Covariate Assisted Principal regression for covariance matrix outcomes", _Biostatistics, 22_(3), pp. 629-45

## Contact
* Author and maintainer of this Python module: Janus Rønn Lind Kobbersmed, mail: janus@cfin.au.dk or januslind@gmail.com
